Updates cache settings for data source
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"dataCache": {
"enabled": true,
"evictionStrategy": {
"ttl": 123
}
},
"statisticsCache": {
"enabled": true,
"evictionStrategy": {
"ttl": 123
}
}
}
'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings"
payload = {
"dataCache": {
"enabled": True,
"evictionStrategy": { "ttl": 123 }
},
"statisticsCache": {
"enabled": True,
"evictionStrategy": { "ttl": 123 }
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
dataCache: {enabled: true, evictionStrategy: {ttl: 123}},
statisticsCache: {enabled: true, evictionStrategy: {ttl: 123}}
})
};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'dataCache' => [
'enabled' => true,
'evictionStrategy' => [
'ttl' => 123
]
],
'statisticsCache' => [
'enabled' => true,
'evictionStrategy' => [
'ttl' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings"
payload := strings.NewReader("{\n \"dataCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n },\n \"statisticsCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"dataCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n },\n \"statisticsCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"dataCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n },\n \"statisticsCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"dataCache": {
"enabled": true,
"evictionStrategy": {
"ttl": 123
}
},
"statisticsCache": {
"enabled": true,
"evictionStrategy": {
"ttl": 123
},
"schedule": {
"type": "PERIODIC",
"periodic": {
"frequency": "ONCE",
"minutesOfHour": 15,
"dayOfMonth": 1,
"dayOfWeek": "MONDAY",
"daysOfWeek": [
"MONDAY"
],
"monthsOfYear": "[JANUARY] or [MAY, DECEMBER]",
"timeOfDay": "17:30:00",
"startTimeOfDay": "16:00:00",
"endTimeOfDay": "18:00:00",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timezone": "America/New_York"
},
"cron": {
"startDate": "2023-12-25",
"cronExpression": "<string>",
"endDate": "2023-12-25"
}
}
}
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Updates cache settings for data source
Requires WRITE permission on the source
Updates cache settings for data source
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"dataCache": {
"enabled": true,
"evictionStrategy": {
"ttl": 123
}
},
"statisticsCache": {
"enabled": true,
"evictionStrategy": {
"ttl": 123
}
}
}
'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings"
payload = {
"dataCache": {
"enabled": True,
"evictionStrategy": { "ttl": 123 }
},
"statisticsCache": {
"enabled": True,
"evictionStrategy": { "ttl": 123 }
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
dataCache: {enabled: true, evictionStrategy: {ttl: 123}},
statisticsCache: {enabled: true, evictionStrategy: {ttl: 123}}
})
};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'dataCache' => [
'enabled' => true,
'evictionStrategy' => [
'ttl' => 123
]
],
'statisticsCache' => [
'enabled' => true,
'evictionStrategy' => [
'ttl' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings"
payload := strings.NewReader("{\n \"dataCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n },\n \"statisticsCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"dataCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n },\n \"statisticsCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/cache-settings")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"dataCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n },\n \"statisticsCache\": {\n \"enabled\": true,\n \"evictionStrategy\": {\n \"ttl\": 123\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"dataCache": {
"enabled": true,
"evictionStrategy": {
"ttl": 123
}
},
"statisticsCache": {
"enabled": true,
"evictionStrategy": {
"ttl": 123
},
"schedule": {
"type": "PERIODIC",
"periodic": {
"frequency": "ONCE",
"minutesOfHour": 15,
"dayOfMonth": 1,
"dayOfWeek": "MONDAY",
"daysOfWeek": [
"MONDAY"
],
"monthsOfYear": "[JANUARY] or [MAY, DECEMBER]",
"timeOfDay": "17:30:00",
"startTimeOfDay": "16:00:00",
"endTimeOfDay": "18:00:00",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timezone": "America/New_York"
},
"cron": {
"startDate": "2023-12-25",
"cronExpression": "<string>",
"endDate": "2023-12-25"
}
}
}
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Body
application/vnd.composer.v3+json
Was this page helpful?